Zijn de koppelingen in je omgeving al TLS 1.2 proof?

Draaien in je omgeving maatwerk-koppelingen met andere systemen die langere tijd geleden zijn gemaakt? Dan kan het zijn dat deze koppelingen nog gebruik maken van de oudere TLS versies en na 1 april 2019 niet meer werken. Dit ligt dan niet aan AllSolutions, maar aan de externe partij die gegevens ophaalt uit of aanbiedt aan de software.

Controleer daarom of deze koppelingen gebruik maken van TLS 1.2. Mocht dit nog niet het geval zijn, dan zal de externe partij waarmee de koppeling wordt uitgevoerd hierin een aanpassing moeten doen. Het is dus aan te raden om in contact te gaan met de leverancier en hem te vragen om een bevestiging dat de koppeling TLS 1.2 ondersteunt en dat deze ook na 1 april blijft werken.

Je kunt de koppelingen zelf gemakkelijk controleren in je acceptatieomgeving. Daar zijn TLS 1.0 en TLS 1.1 al uitgezet. Daarnaast kan de externe partij waarmee de koppeling loopt, de benodigde aanpassingen zo ook testen op de acceptatieomgeving.

Zijn er koppelingen actief die gebruik maken van de REST API? Dan moeten ook deze aanroepen vanaf 1 april ook met TLS 1.2 worden uitgevoerd. Controleer dus ook deze koppelingen in je acceptatieomgeving. En neem contact op met de externe partij als blijkt dat de koppeling niet meer werkt. De externe partij kan dan de komende periode de benodigde aanpassingen uitvoeren en testen op de acceptatieomgeving.

Natuurlijk hoef je dit traject niet alleen uit te voeren. Je consultant kan je hierbij ondersteunen op basis van het reguliere tarief. Dit geldt ook voor hulp die de externe partij eventueel nodig heeft van onze ontwikkelaars. Dit kan via de consultant worden aangevraagd en ingepland.

Deze informatie behoort tot de volgende release(s): 12.0.11